Bug 240426 (CVE-2007-1825) - CVE-2007-1825 php imap_mail_compose() buffer overflow via type.parameters
Summary: CVE-2007-1825 php imap_mail_compose() buffer overflow via type.parameters
Status: CLOSED ERRATA
Alias: CVE-2007-1825
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20070214,repo...
Keywords:
: 239325 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-17 14:22 UTC by Joe Orton
Modified: 2018-08-15 21:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 10:11:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-05-17 14:22:57 UTC
Description of problem:
Buffer overflow in the imap_mail_compose function in PHP 5 before 5.2.1, and PHP
4 before 4.4.5, allows remote attackers to execute arbitrary code via a long
boundary string in a type.parameters field. NOTE: as of 20070411, it appears
that this issue might be subsumed by CVE-2007-0906.3.

Comment 1 Joe Orton 2007-05-17 14:24:43 UTC
This issue was fixed under the name CVE-2007-0906 in errata published by Red
Hat;  at time of writing the advisories have not been updated to reference the
new CVE name.

http://rhn.redhat.com/errata/CVE-2007-0906.html

Comment 2 Joe Orton 2007-05-17 14:26:19 UTC
*** Bug 239325 has been marked as a duplicate of this bug. ***

Comment 3 Joe Orton 2007-05-21 10:11:24 UTC
Advisory references have now been updated:

http://rhn.redhat.com/errata/CVE-2007-1825.html


Note You need to log in before you can comment on or make changes to this bug.